Package com.smartgwt.client.widgets

# Class StretchImg

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.StatefulCanvas
com.smartgwt.client.widgets.StretchImg

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`

Direct Known Subclasses:
  `Progressbar`, `Scrollbar`, `Splitbar`, `StretchImgButton`

public class StretchImg extends StatefulCanvas
The StretchImg widget class implements a widget type that displays a list of multiple images that make up a single image.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StretchImg()`
  `StretchImg(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `int`
  `getCapSize()`
  If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
  `String`
  `getGripImgSuffix()`
  Suffix used the 'grip' image if `showGrip` is true.
  `String`
  `getHSrc()`
  Base URL for the image if `vertical` is false and `src` is unset.
  `boolean`
  `getIgnoreRTL()`
  Should the `items` for this StretchImg display left-to-right even if this page is displaying `right to left text`?
  `ImageStyle`
  `getImageType()`
  Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image.
  `String`
  `getItemBaseStyle()`
  If specified this css class will be applied to the individual item images within this StretchImg.
  `StretchItem[]`
  `getItems()`
  The list of images to display as an array of objects specifying the image names and sizes.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static StretchImg`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowDownGrip()`
  If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
  `Boolean`
  `getShowGrip()`
  Should we show a "grip" image floating above the center of this widget?
  `Boolean`
  `getShowRollOverGrip()`
  If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
  `Boolean`
  `getShowTitle()`
  Determines whether any specified `title` will be displayed for this component.
  Applies to Image-based components only, where the title will be rendered out in a label floating over the component
  `String`
  `getSrc()`
  The base URL for the image.
  `Boolean`
  `getVertical()`
  Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
  `String`
  `getVSrc()`
  Base URL for the image if `vertical` is true and `src` is unset.
  `StretchImg`
  `setCapSize(int capSize)`
  If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
  `static void`
  `setDefaultProperties(StretchImg stretchImgProperties)`
  Class level method to set the default properties of this class.
  `StretchImg`
  `setGripImgSuffix(String gripImgSuffix)`
  Suffix used the 'grip' image if `showGrip` is true.
  `StretchImg`
  `setHSrc(String hSrc)`
  Base URL for the image if `vertical` is false and `src` is unset.
  `StretchImg`
  `setIgnoreRTL(boolean ignoreRTL)`
  Should the `items` for this StretchImg display left-to-right even if this page is displaying `right to left text`?
  `StretchImg`
  `setImageType(ImageStyle imageType)`
  Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image.
  `StretchImg`
  `setItemBaseStyle(String itemBaseStyle)`
  If specified this css class will be applied to the individual item images within this StretchImg.
  `StretchImg`
  `setItems(StretchItem... items)`
  The list of images to display as an array of objects specifying the image names and sizes.
  `LogicalStructureObject`
  `setLogicalStructure(StretchImgLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `StretchImg`
  `setShowDownGrip(Boolean showDownGrip)`
  If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
  `StretchImg`
  `setShowGrip(Boolean showGrip)`
  Should we show a "grip" image floating above the center of this widget?
  `StretchImg`
  `setShowRollOverGrip(Boolean showRollOverGrip)`
  If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
  `StretchImg`
  `setShowTitle(Boolean showTitle)`
  Determines whether any specified `title` will be displayed for this component.
  Applies to Image-based components only, where the title will be rendered out in a label floating over the component
  `StretchImg`
  `setSrc(String src)`
  The base URL for the image.
  `void`
  `setState(String newState)`
  Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
  `void`
  `setState(String newState, String whichPart)`
  Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
  `StretchImg`
  `setVertical(Boolean vertical)`
  Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
  `StretchImg`
  `setVSrc(String vSrc)`
  Base URL for the image if `vertical` is true and `src` is unset.

  ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

  `addToRadioGroup, deselect, getActionType, getAlign, getAriaLabel, getAriaStateDefaults, getAutoFit, getBaseStyle, getEditProxyConstructor, getHeight, getHeightAsString, getIcon, getIconHeight, getIconOrientation, getIconSize, getIconStyle, getIconWidth, getLabelHPad, getLabelVPad, getOverCanvas, getOverCanvasConstructor, getRadioGroup, getRedrawOnStateChange, getSelected, getShowDisabled, getShowDisabledIcon, getShowDown, getShowDownIcon, getShowFocused, getShowFocusedAsOver, getShowFocusedIcon, getShowMenuOnClick, getShowOverCanvas, getShowRollOver, getShowRollOverIcon, getShowRTLIcon, getShowSelectedIcon, getState, getStateSuffix, getStyleName, getTitle, getValign, getVIconStyle, getWidth, getWidthAsString, isSelected, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAlign, setAriaLabel, setAutoFit, setBaseStyle, setDefaultProperties, setEditProxyConstructor, setHeight, setHeight, setIcon, setIconHeight, setIconOrientation, setIconSize, setIconStyle, setIconWidth, setLabelHPad, setLabelVPad, setLogicalStructure, setOverCanvasConstructor, setRadioGroup, setRedrawOnStateChange, setSelected, setShowDisabled, setShowDisabledIcon, setShowDown, setShowDownIcon, setShowFocused, setShowFocusedAsOver, setShowFocusedIcon, setShowMenuOnClick, setShowOverCanvas, setShowRollOver, setShowRollOverIcon, setShowRTLIcon, setShowSelectedIcon, setState, setStyleName, setTitle, setTitleFormatter, setTitleStyle, setValign, setVIconStyle, setWidth, setWidth`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getCorrectZoomOverflow, getCursor, getDataContext, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWorkflows, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startDebuggingOverflow, stopDebuggingOverflow, supportsValueDictation, supportsVoiceCommands, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### StretchImg

    public StretchImg()

  - ### StretchImg

    public StretchImg(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static StretchImg getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `StatefulCanvas`

  - ### setCapSize

    public StretchImg setCapSize(int capSize)
    If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
    Parameters:
      `capSize` - New capSize value. Default value is 2
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getCapSize

    public int getCapSize()
    If the default items are used, capSize is the size in pixels of the first and last images in this stretchImg.
    Returns:
      Current capSize value. Default value is 2
    See Also:
      - `Appearance overview and related methods`

  - ### setGripImgSuffix

    public StretchImg setGripImgSuffix(String gripImgSuffix) throws IllegalStateException
    Suffix used the 'grip' image if `showGrip` is true.

    Note : This is an advanced setting

    Parameters:
      `gripImgSuffix` - New gripImgSuffix value. Default value is "grip"
    Returns:
      `StretchImg` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getGripImgSuffix

    public String getGripImgSuffix()
    Suffix used the 'grip' image if `showGrip` is true.
    Returns:
      Current gripImgSuffix value. Default value is "grip"

  - ### setHSrc

    public StretchImg setHSrc(String hSrc)
    Base URL for the image if `vertical` is false and `src` is unset.
    Parameters:
      `hSrc` - New hSrc value. Default value is null
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `setSrc(java.lang.String)`
      - `setVSrc(java.lang.String)`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### getHSrc

    public String getHSrc()
    Base URL for the image if `vertical` is false and `src` is unset.
    Returns:
      Current hSrc value. Default value is null
    See Also:
      - `getSrc()`
      - `getVSrc()`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### setIgnoreRTL

    public StretchImg setIgnoreRTL(boolean ignoreRTL)
    Should the `items` for this StretchImg display left-to-right even if this page is displaying `right to left text`?

    Only has an effect if this StretchImg is horizontal (`vertical` is set to false).

    Having this property set to true is usually desirable for the common pattern of media consisting of fixed size "end caps" and a stretchable center, because it allows the same media to be used for LTR and RTL pages.

    If set to false, items will be displayed in RTL order for RTL pages.
    If this method is called after the component has been drawn/initialized: Setter for `ignoreRTL`.

    Overrides:
      `setIgnoreRTL` in class `StatefulCanvas`
    Parameters:
      `ignoreRTL` - new value for ignoreRTL. Default value is true
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getIgnoreRTL

    public boolean getIgnoreRTL()
    Should the `items` for this StretchImg display left-to-right even if this page is displaying `right to left text`?

    Only has an effect if this StretchImg is horizontal (`vertical` is set to false).

    Having this property set to true is usually desirable for the common pattern of media consisting of fixed size "end caps" and a stretchable center, because it allows the same media to be used for LTR and RTL pages.

    If set to false, items will be displayed in RTL order for RTL pages.

    Overrides:
      `getIgnoreRTL` in class `StatefulCanvas`
    Returns:
      Current ignoreRTL value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setImageType

    public StretchImg setImageType(ImageStyle imageType)
    Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image. See ImageStyle for details.
    Parameters:
      `imageType` - New imageType value. Default value is Img.STRETCH
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getImageType

    public ImageStyle getImageType()
    Indicates whether the image should be tiled/cropped, stretched, or centered when the size of this widget does not match the size of the image. See ImageStyle for details.
    Returns:
      Current imageType value. Default value is Img.STRETCH
    See Also:
      - `Appearance overview and related methods`

  - ### setItemBaseStyle

    public StretchImg setItemBaseStyle(String itemBaseStyle)
    If specified this css class will be applied to the individual item images within this StretchImg. May be overridden by specifying item-specific base styles to each object in the `items array`. This base style will have standard stateful suffixes appended to indicate the state of this component (as described in `StatefulCanvas.baseStyle`).
    Parameters:
      `itemBaseStyle` - New itemBaseStyle value. Default value is null
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`

  - ### getItemBaseStyle

    public String getItemBaseStyle()
    If specified this css class will be applied to the individual item images within this StretchImg. May be overridden by specifying item-specific base styles to each object in the `items array`. This base style will have standard stateful suffixes appended to indicate the state of this component (as described in `StatefulCanvas.baseStyle`).
    Returns:
      Current itemBaseStyle value. Default value is null
    See Also:
      - `CSSStyleName`

  - ### setItems

    public StretchImg setItems(StretchItem... items)
    The list of images to display as an array of objects specifying the image names and sizes.

    The `name` is appended as a suffix to the `src` URL in order to fetch separate media files for each image. Alternatively a StretchItem may specify its own `src`.

    The `height` and `width` can be set to a number, "*" (remaining space, divided amongst all images that specify "*") or to the name of a property on this StretchImg component, such as "capSize" for the `capSize`.

    Height or width is only used for the axis along which images are stacked. For example, if `vertical` is true, images stack vertically and heights are used to size images on the vertical axis, but all images will have width matching the overall component size.

    For example, the default setting for `items`, which is used to produce stretchable buttons and headers with fixed-size endcaps, is as follows:

            new StretchItem[] {
                new StretchItem("start", "capSize", "capSize"),
                new StretchItem("stretch", "*", "*"),
                new StretchItem("end", "capSize", "capSize")
            };

    Note that by default horizontal StretchImg instances will always render their items in left-to-right order, even if the page is localized for right-to-left display (see `Page.isRTL()`). This default behavior may be overridden by setting the `ignoreRTL` flag to false.
    If this method is called after the component has been drawn/initialized: Setter for `items`.
    Parameters:
      `items` - the new array of items. Default value is see below
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getItems

    public StretchItem[] getItems()
    The list of images to display as an array of objects specifying the image names and sizes.

    The `name` is appended as a suffix to the `src` URL in order to fetch separate media files for each image. Alternatively a StretchItem may specify its own `src`.

    The `height` and `width` can be set to a number, "*" (remaining space, divided amongst all images that specify "*") or to the name of a property on this StretchImg component, such as "capSize" for the `capSize`.

    Height or width is only used for the axis along which images are stacked. For example, if `vertical` is true, images stack vertically and heights are used to size images on the vertical axis, but all images will have width matching the overall component size.

    For example, the default setting for `items`, which is used to produce stretchable buttons and headers with fixed-size endcaps, is as follows:

            new StretchItem[] {
                new StretchItem("start", "capSize", "capSize"),
                new StretchItem("stretch", "*", "*"),
                new StretchItem("end", "capSize", "capSize")
            };

    Note that by default horizontal StretchImg instances will always render their items in left-to-right order, even if the page is localized for right-to-left display (see `Page.isRTL()`). This default behavior may be overridden by setting the `ignoreRTL` flag to false.
    Returns:
      Current items value. Default value is see below
    See Also:
      - `Appearance overview and related methods`

  - ### setShowDownGrip

    public StretchImg setShowDownGrip(Boolean showDownGrip) throws IllegalStateException
    If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `StatefulCanvas.showDown` is false.

    Note : This is an advanced setting

    Parameters:
      `showDownGrip` - New showDownGrip value. Default value is null
    Returns:
      `StretchImg` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowDownGrip

    public Boolean getShowDownGrip()
    If `showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `StatefulCanvas.showDown` is false.
    Returns:
      Current showDownGrip value. Default value is null

  - ### setShowGrip

    public StretchImg setShowGrip(Boolean showGrip) throws IllegalStateException
    Should we show a "grip" image floating above the center of this widget?

    Note : This is an advanced setting

    Parameters:
      `showGrip` - New showGrip value. Default value is null
    Returns:
      `StretchImg` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowGrip

    public Boolean getShowGrip()
    Should we show a "grip" image floating above the center of this widget?
    Returns:
      Current showGrip value. Default value is null

  - ### setShowRollOverGrip

    public StretchImg setShowRollOverGrip(Boolean showRollOverGrip) throws IllegalStateException
    If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `StatefulCanvas.showRollOver` is false.

    Note : This is an advanced setting

    Parameters:
      `showRollOverGrip` - New showRollOverGrip value. Default value is null
    Returns:
      `StretchImg` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowRollOverGrip

    public Boolean getShowRollOverGrip()
    If `showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `StatefulCanvas.showRollOver` is false.
    Returns:
      Current showRollOverGrip value. Default value is null

  - ### setShowTitle

    public StretchImg setShowTitle(Boolean showTitle)
    Determines whether any specified `title` will be displayed for this component.
    Applies to Image-based components only, where the title will be rendered out in a label floating over the component

    Note : This is an advanced setting

    Parameters:
      `showTitle` - New showTitle value. Default value is false
    Returns:
      `StretchImg` instance, for chaining setter calls

  - ### getShowTitle

    public Boolean getShowTitle()
    Determines whether any specified `title` will be displayed for this component.
    Applies to Image-based components only, where the title will be rendered out in a label floating over the component
    Returns:
      Current showTitle value. Default value is false

  - ### setSrc

    public StretchImg setSrc(String src)
    The base URL for the image.

    The `State` for the component will be combined with this URL using the same approach as described in `Img.src`. Then the image segment `name` as specified by each `StretchItem` is added.

    For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".
    If this method is called after the component has been drawn/initialized: Changes the base `src` for this stretchImg, redrawing if necessary.

    Parameters:
      `src` - new URL for the image. Default value is null
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `setHSrc(java.lang.String)`
      - `setVSrc(java.lang.String)`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### getSrc

    public String getSrc()
    The base URL for the image.

    The `State` for the component will be combined with this URL using the same approach as described in `Img.src`. Then the image segment `name` as specified by each `StretchItem` is added.

    For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

    Returns:
      Current src value. Default value is null
    See Also:
      - `getHSrc()`
      - `getVSrc()`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### setVertical

    public StretchImg setVertical(Boolean vertical)
    Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
    Parameters:
      `vertical` - New vertical value. Default value is true
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getVertical

    public Boolean getVertical()
    Indicates whether the list of images is drawn vertically from top to bottom (true), or horizontally from left to right (false).
    Returns:
      Current vertical value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setVSrc

    public StretchImg setVSrc(String vSrc)
    Base URL for the image if `vertical` is true and `src` is unset.
    Parameters:
      `vSrc` - New vSrc value. Default value is null
    Returns:
      `StretchImg` instance, for chaining setter calls
    See Also:
      - `setSrc(java.lang.String)`
      - `setVSrc(java.lang.String)`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### getVSrc

    public String getVSrc()
    Base URL for the image if `vertical` is true and `src` is unset.
    Returns:
      Current vSrc value. Default value is null
    See Also:
      - `getSrc()`
      - `getVSrc()`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### setState

    public void setState(String newState)
    Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
    Parameters:
      `newState` - name for the new state ("off", "down", etc)
    See Also:
      - `Appearance overview and related methods`

  - ### setState

    public void setState(String newState, String whichPart)
    Set the specified image's state to newState and update the displayed image given by whichPart, or set the state for all images to newState and update the displayed images if whichPart is not provided.
    Parameters:
      `newState` - name for the new state ("off", "down", etc)
      `whichPart` - name of the piece to set ("start", "stretch" or "end") if not specified, sets them all
    See Also:
      - `Appearance overview and related methods`

  - ### setDefaultProperties

    public static void setDefaultProperties(StretchImg stretchImgProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `stretchImgProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(StretchImgLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `StatefulCanvas`